Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.26.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
30.26.0.0
Broadcast address
30.26.31.255
First usable
30.26.0.1
Last usable
30.26.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E1A0000 · Integer 505020416 to 505028607
Reverse DNS zones
0.26.30.in-addr.arpa
1.26.30.in-addr.arpa
2.26.30.in-addr.arpa
3.26.30.in-addr.arpa
4.26.30.in-addr.arpa
5.26.30.in-addr.arpa
6.26.30.in-addr.arpa
7.26.30.in-addr.arpa
8.26.30.in-addr.arpa
9.26.30.in-addr.arpa
10.26.30.in-addr.arpa
11.26.30.in-addr.arpa
12.26.30.in-addr.arpa
13.26.30.in-addr.arpa
14.26.30.in-addr.arpa
15.26.30.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00011010.00000000.0000000030.26.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011110.00011010.00000000.0000000030.26.0.0
Broadcast00011110.00011010.00011111.1111111130.26.31.255
Split into smaller subnets/27

30.26.0.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.26.0.0/2730.26.0.1 to 30.26.0.3030.26.0.3130
230.26.0.32/2730.26.0.33 to 30.26.0.6230.26.0.6330
330.26.0.64/2730.26.0.65 to 30.26.0.9430.26.0.9530
430.26.0.96/2730.26.0.97 to 30.26.0.12630.26.0.12730
530.26.0.128/2730.26.0.129 to 30.26.0.15830.26.0.15930
630.26.0.160/2730.26.0.161 to 30.26.0.19030.26.0.19130
730.26.0.192/2730.26.0.193 to 30.26.0.22230.26.0.22330
830.26.0.224/2730.26.0.225 to 30.26.0.25430.26.0.25530
930.26.1.0/2730.26.1.1 to 30.26.1.3030.26.1.3130
1030.26.1.32/2730.26.1.33 to 30.26.1.6230.26.1.6330
1130.26.1.64/2730.26.1.65 to 30.26.1.9430.26.1.9530
1230.26.1.96/2730.26.1.97 to 30.26.1.12630.26.1.12730
1330.26.1.128/2730.26.1.129 to 30.26.1.15830.26.1.15930
1430.26.1.160/2730.26.1.161 to 30.26.1.19030.26.1.19130
1530.26.1.192/2730.26.1.193 to 30.26.1.22230.26.1.22330
1630.26.1.224/2730.26.1.225 to 30.26.1.25430.26.1.25530
1730.26.2.0/2730.26.2.1 to 30.26.2.3030.26.2.3130
1830.26.2.32/2730.26.2.33 to 30.26.2.6230.26.2.6330
1930.26.2.64/2730.26.2.65 to 30.26.2.9430.26.2.9530
2030.26.2.96/2730.26.2.97 to 30.26.2.12630.26.2.12730
2130.26.2.128/2730.26.2.129 to 30.26.2.15830.26.2.15930
2230.26.2.160/2730.26.2.161 to 30.26.2.19030.26.2.19130
2330.26.2.192/2730.26.2.193 to 30.26.2.22230.26.2.22330
2430.26.2.224/2730.26.2.225 to 30.26.2.25430.26.2.25530
2530.26.3.0/2730.26.3.1 to 30.26.3.3030.26.3.3130
2630.26.3.32/2730.26.3.33 to 30.26.3.6230.26.3.6330
2730.26.3.64/2730.26.3.65 to 30.26.3.9430.26.3.9530
2830.26.3.96/2730.26.3.97 to 30.26.3.12630.26.3.12730
2930.26.3.128/2730.26.3.129 to 30.26.3.15830.26.3.15930
3030.26.3.160/2730.26.3.161 to 30.26.3.19030.26.3.19130
3130.26.3.192/2730.26.3.193 to 30.26.3.22230.26.3.22330
3230.26.3.224/2730.26.3.225 to 30.26.3.25430.26.3.25530
3330.26.4.0/2730.26.4.1 to 30.26.4.3030.26.4.3130
3430.26.4.32/2730.26.4.33 to 30.26.4.6230.26.4.6330
3530.26.4.64/2730.26.4.65 to 30.26.4.9430.26.4.9530
3630.26.4.96/2730.26.4.97 to 30.26.4.12630.26.4.12730
3730.26.4.128/2730.26.4.129 to 30.26.4.15830.26.4.15930
3830.26.4.160/2730.26.4.161 to 30.26.4.19030.26.4.19130
3930.26.4.192/2730.26.4.193 to 30.26.4.22230.26.4.22330
4030.26.4.224/2730.26.4.225 to 30.26.4.25430.26.4.25530
4130.26.5.0/2730.26.5.1 to 30.26.5.3030.26.5.3130
4230.26.5.32/2730.26.5.33 to 30.26.5.6230.26.5.6330
4330.26.5.64/2730.26.5.65 to 30.26.5.9430.26.5.9530
4430.26.5.96/2730.26.5.97 to 30.26.5.12630.26.5.12730
4530.26.5.128/2730.26.5.129 to 30.26.5.15830.26.5.15930
4630.26.5.160/2730.26.5.161 to 30.26.5.19030.26.5.19130
4730.26.5.192/2730.26.5.193 to 30.26.5.22230.26.5.22330
4830.26.5.224/2730.26.5.225 to 30.26.5.25430.26.5.25530
4930.26.6.0/2730.26.6.1 to 30.26.6.3030.26.6.3130
5030.26.6.32/2730.26.6.33 to 30.26.6.6230.26.6.6330
5130.26.6.64/2730.26.6.65 to 30.26.6.9430.26.6.9530
5230.26.6.96/2730.26.6.97 to 30.26.6.12630.26.6.12730
5330.26.6.128/2730.26.6.129 to 30.26.6.15830.26.6.15930
5430.26.6.160/2730.26.6.161 to 30.26.6.19030.26.6.19130
5530.26.6.192/2730.26.6.193 to 30.26.6.22230.26.6.22330
5630.26.6.224/2730.26.6.225 to 30.26.6.25430.26.6.25530
5730.26.7.0/2730.26.7.1 to 30.26.7.3030.26.7.3130
5830.26.7.32/2730.26.7.33 to 30.26.7.6230.26.7.6330
5930.26.7.64/2730.26.7.65 to 30.26.7.9430.26.7.9530
6030.26.7.96/2730.26.7.97 to 30.26.7.12630.26.7.12730
6130.26.7.128/2730.26.7.129 to 30.26.7.15830.26.7.15930
6230.26.7.160/2730.26.7.161 to 30.26.7.19030.26.7.19130
6330.26.7.192/2730.26.7.193 to 30.26.7.22230.26.7.22330
6430.26.7.224/2730.26.7.225 to 30.26.7.25430.26.7.25530
6530.26.8.0/2730.26.8.1 to 30.26.8.3030.26.8.3130
6630.26.8.32/2730.26.8.33 to 30.26.8.6230.26.8.6330
6730.26.8.64/2730.26.8.65 to 30.26.8.9430.26.8.9530
6830.26.8.96/2730.26.8.97 to 30.26.8.12630.26.8.12730
6930.26.8.128/2730.26.8.129 to 30.26.8.15830.26.8.15930
7030.26.8.160/2730.26.8.161 to 30.26.8.19030.26.8.19130
7130.26.8.192/2730.26.8.193 to 30.26.8.22230.26.8.22330
7230.26.8.224/2730.26.8.225 to 30.26.8.25430.26.8.25530
7330.26.9.0/2730.26.9.1 to 30.26.9.3030.26.9.3130
7430.26.9.32/2730.26.9.33 to 30.26.9.6230.26.9.6330
7530.26.9.64/2730.26.9.65 to 30.26.9.9430.26.9.9530
7630.26.9.96/2730.26.9.97 to 30.26.9.12630.26.9.12730
7730.26.9.128/2730.26.9.129 to 30.26.9.15830.26.9.15930
7830.26.9.160/2730.26.9.161 to 30.26.9.19030.26.9.19130
7930.26.9.192/2730.26.9.193 to 30.26.9.22230.26.9.22330
8030.26.9.224/2730.26.9.225 to 30.26.9.25430.26.9.25530
8130.26.10.0/2730.26.10.1 to 30.26.10.3030.26.10.3130
8230.26.10.32/2730.26.10.33 to 30.26.10.6230.26.10.6330
8330.26.10.64/2730.26.10.65 to 30.26.10.9430.26.10.9530
8430.26.10.96/2730.26.10.97 to 30.26.10.12630.26.10.12730
8530.26.10.128/2730.26.10.129 to 30.26.10.15830.26.10.15930
8630.26.10.160/2730.26.10.161 to 30.26.10.19030.26.10.19130
8730.26.10.192/2730.26.10.193 to 30.26.10.22230.26.10.22330
8830.26.10.224/2730.26.10.225 to 30.26.10.25430.26.10.25530
8930.26.11.0/2730.26.11.1 to 30.26.11.3030.26.11.3130
9030.26.11.32/2730.26.11.33 to 30.26.11.6230.26.11.6330
9130.26.11.64/2730.26.11.65 to 30.26.11.9430.26.11.9530
9230.26.11.96/2730.26.11.97 to 30.26.11.12630.26.11.12730
9330.26.11.128/2730.26.11.129 to 30.26.11.15830.26.11.15930
9430.26.11.160/2730.26.11.161 to 30.26.11.19030.26.11.19130
9530.26.11.192/2730.26.11.193 to 30.26.11.22230.26.11.22330
9630.26.11.224/2730.26.11.225 to 30.26.11.25430.26.11.25530
9730.26.12.0/2730.26.12.1 to 30.26.12.3030.26.12.3130
9830.26.12.32/2730.26.12.33 to 30.26.12.6230.26.12.6330
9930.26.12.64/2730.26.12.65 to 30.26.12.9430.26.12.9530
10030.26.12.96/2730.26.12.97 to 30.26.12.12630.26.12.12730
10130.26.12.128/2730.26.12.129 to 30.26.12.15830.26.12.15930
10230.26.12.160/2730.26.12.161 to 30.26.12.19030.26.12.19130
10330.26.12.192/2730.26.12.193 to 30.26.12.22230.26.12.22330
10430.26.12.224/2730.26.12.225 to 30.26.12.25430.26.12.25530
10530.26.13.0/2730.26.13.1 to 30.26.13.3030.26.13.3130
10630.26.13.32/2730.26.13.33 to 30.26.13.6230.26.13.6330
10730.26.13.64/2730.26.13.65 to 30.26.13.9430.26.13.9530
10830.26.13.96/2730.26.13.97 to 30.26.13.12630.26.13.12730
10930.26.13.128/2730.26.13.129 to 30.26.13.15830.26.13.15930
11030.26.13.160/2730.26.13.161 to 30.26.13.19030.26.13.19130
11130.26.13.192/2730.26.13.193 to 30.26.13.22230.26.13.22330
11230.26.13.224/2730.26.13.225 to 30.26.13.25430.26.13.25530
11330.26.14.0/2730.26.14.1 to 30.26.14.3030.26.14.3130
11430.26.14.32/2730.26.14.33 to 30.26.14.6230.26.14.6330
11530.26.14.64/2730.26.14.65 to 30.26.14.9430.26.14.9530
11630.26.14.96/2730.26.14.97 to 30.26.14.12630.26.14.12730
11730.26.14.128/2730.26.14.129 to 30.26.14.15830.26.14.15930
11830.26.14.160/2730.26.14.161 to 30.26.14.19030.26.14.19130
11930.26.14.192/2730.26.14.193 to 30.26.14.22230.26.14.22330
12030.26.14.224/2730.26.14.225 to 30.26.14.25430.26.14.25530
12130.26.15.0/2730.26.15.1 to 30.26.15.3030.26.15.3130
12230.26.15.32/2730.26.15.33 to 30.26.15.6230.26.15.6330
12330.26.15.64/2730.26.15.65 to 30.26.15.9430.26.15.9530
12430.26.15.96/2730.26.15.97 to 30.26.15.12630.26.15.12730
12530.26.15.128/2730.26.15.129 to 30.26.15.15830.26.15.15930
12630.26.15.160/2730.26.15.161 to 30.26.15.19030.26.15.19130
12730.26.15.192/2730.26.15.193 to 30.26.15.22230.26.15.22330
12830.26.15.224/2730.26.15.225 to 30.26.15.25430.26.15.25530
12930.26.16.0/2730.26.16.1 to 30.26.16.3030.26.16.3130
13030.26.16.32/2730.26.16.33 to 30.26.16.6230.26.16.6330
13130.26.16.64/2730.26.16.65 to 30.26.16.9430.26.16.9530
13230.26.16.96/2730.26.16.97 to 30.26.16.12630.26.16.12730
13330.26.16.128/2730.26.16.129 to 30.26.16.15830.26.16.15930
13430.26.16.160/2730.26.16.161 to 30.26.16.19030.26.16.19130
13530.26.16.192/2730.26.16.193 to 30.26.16.22230.26.16.22330
13630.26.16.224/2730.26.16.225 to 30.26.16.25430.26.16.25530
13730.26.17.0/2730.26.17.1 to 30.26.17.3030.26.17.3130
13830.26.17.32/2730.26.17.33 to 30.26.17.6230.26.17.6330
13930.26.17.64/2730.26.17.65 to 30.26.17.9430.26.17.9530
14030.26.17.96/2730.26.17.97 to 30.26.17.12630.26.17.12730
14130.26.17.128/2730.26.17.129 to 30.26.17.15830.26.17.15930
14230.26.17.160/2730.26.17.161 to 30.26.17.19030.26.17.19130
14330.26.17.192/2730.26.17.193 to 30.26.17.22230.26.17.22330
14430.26.17.224/2730.26.17.225 to 30.26.17.25430.26.17.25530
14530.26.18.0/2730.26.18.1 to 30.26.18.3030.26.18.3130
14630.26.18.32/2730.26.18.33 to 30.26.18.6230.26.18.6330
14730.26.18.64/2730.26.18.65 to 30.26.18.9430.26.18.9530
14830.26.18.96/2730.26.18.97 to 30.26.18.12630.26.18.12730
14930.26.18.128/2730.26.18.129 to 30.26.18.15830.26.18.15930
15030.26.18.160/2730.26.18.161 to 30.26.18.19030.26.18.19130
15130.26.18.192/2730.26.18.193 to 30.26.18.22230.26.18.22330
15230.26.18.224/2730.26.18.225 to 30.26.18.25430.26.18.25530
15330.26.19.0/2730.26.19.1 to 30.26.19.3030.26.19.3130
15430.26.19.32/2730.26.19.33 to 30.26.19.6230.26.19.6330
15530.26.19.64/2730.26.19.65 to 30.26.19.9430.26.19.9530
15630.26.19.96/2730.26.19.97 to 30.26.19.12630.26.19.12730
15730.26.19.128/2730.26.19.129 to 30.26.19.15830.26.19.15930
15830.26.19.160/2730.26.19.161 to 30.26.19.19030.26.19.19130
15930.26.19.192/2730.26.19.193 to 30.26.19.22230.26.19.22330
16030.26.19.224/2730.26.19.225 to 30.26.19.25430.26.19.25530
16130.26.20.0/2730.26.20.1 to 30.26.20.3030.26.20.3130
16230.26.20.32/2730.26.20.33 to 30.26.20.6230.26.20.6330
16330.26.20.64/2730.26.20.65 to 30.26.20.9430.26.20.9530
16430.26.20.96/2730.26.20.97 to 30.26.20.12630.26.20.12730
16530.26.20.128/2730.26.20.129 to 30.26.20.15830.26.20.15930
16630.26.20.160/2730.26.20.161 to 30.26.20.19030.26.20.19130
16730.26.20.192/2730.26.20.193 to 30.26.20.22230.26.20.22330
16830.26.20.224/2730.26.20.225 to 30.26.20.25430.26.20.25530
16930.26.21.0/2730.26.21.1 to 30.26.21.3030.26.21.3130
17030.26.21.32/2730.26.21.33 to 30.26.21.6230.26.21.6330
17130.26.21.64/2730.26.21.65 to 30.26.21.9430.26.21.9530
17230.26.21.96/2730.26.21.97 to 30.26.21.12630.26.21.12730
17330.26.21.128/2730.26.21.129 to 30.26.21.15830.26.21.15930
17430.26.21.160/2730.26.21.161 to 30.26.21.19030.26.21.19130
17530.26.21.192/2730.26.21.193 to 30.26.21.22230.26.21.22330
17630.26.21.224/2730.26.21.225 to 30.26.21.25430.26.21.25530
17730.26.22.0/2730.26.22.1 to 30.26.22.3030.26.22.3130
17830.26.22.32/2730.26.22.33 to 30.26.22.6230.26.22.6330
17930.26.22.64/2730.26.22.65 to 30.26.22.9430.26.22.9530
18030.26.22.96/2730.26.22.97 to 30.26.22.12630.26.22.12730
18130.26.22.128/2730.26.22.129 to 30.26.22.15830.26.22.15930
18230.26.22.160/2730.26.22.161 to 30.26.22.19030.26.22.19130
18330.26.22.192/2730.26.22.193 to 30.26.22.22230.26.22.22330
18430.26.22.224/2730.26.22.225 to 30.26.22.25430.26.22.25530
18530.26.23.0/2730.26.23.1 to 30.26.23.3030.26.23.3130
18630.26.23.32/2730.26.23.33 to 30.26.23.6230.26.23.6330
18730.26.23.64/2730.26.23.65 to 30.26.23.9430.26.23.9530
18830.26.23.96/2730.26.23.97 to 30.26.23.12630.26.23.12730
18930.26.23.128/2730.26.23.129 to 30.26.23.15830.26.23.15930
19030.26.23.160/2730.26.23.161 to 30.26.23.19030.26.23.19130
19130.26.23.192/2730.26.23.193 to 30.26.23.22230.26.23.22330
19230.26.23.224/2730.26.23.225 to 30.26.23.25430.26.23.25530
19330.26.24.0/2730.26.24.1 to 30.26.24.3030.26.24.3130
19430.26.24.32/2730.26.24.33 to 30.26.24.6230.26.24.6330
19530.26.24.64/2730.26.24.65 to 30.26.24.9430.26.24.9530
19630.26.24.96/2730.26.24.97 to 30.26.24.12630.26.24.12730
19730.26.24.128/2730.26.24.129 to 30.26.24.15830.26.24.15930
19830.26.24.160/2730.26.24.161 to 30.26.24.19030.26.24.19130
19930.26.24.192/2730.26.24.193 to 30.26.24.22230.26.24.22330
20030.26.24.224/2730.26.24.225 to 30.26.24.25430.26.24.25530
20130.26.25.0/2730.26.25.1 to 30.26.25.3030.26.25.3130
20230.26.25.32/2730.26.25.33 to 30.26.25.6230.26.25.6330
20330.26.25.64/2730.26.25.65 to 30.26.25.9430.26.25.9530
20430.26.25.96/2730.26.25.97 to 30.26.25.12630.26.25.12730
20530.26.25.128/2730.26.25.129 to 30.26.25.15830.26.25.15930
20630.26.25.160/2730.26.25.161 to 30.26.25.19030.26.25.19130
20730.26.25.192/2730.26.25.193 to 30.26.25.22230.26.25.22330
20830.26.25.224/2730.26.25.225 to 30.26.25.25430.26.25.25530
20930.26.26.0/2730.26.26.1 to 30.26.26.3030.26.26.3130
21030.26.26.32/2730.26.26.33 to 30.26.26.6230.26.26.6330
21130.26.26.64/2730.26.26.65 to 30.26.26.9430.26.26.9530
21230.26.26.96/2730.26.26.97 to 30.26.26.12630.26.26.12730
21330.26.26.128/2730.26.26.129 to 30.26.26.15830.26.26.15930
21430.26.26.160/2730.26.26.161 to 30.26.26.19030.26.26.19130
21530.26.26.192/2730.26.26.193 to 30.26.26.22230.26.26.22330
21630.26.26.224/2730.26.26.225 to 30.26.26.25430.26.26.25530
21730.26.27.0/2730.26.27.1 to 30.26.27.3030.26.27.3130
21830.26.27.32/2730.26.27.33 to 30.26.27.6230.26.27.6330
21930.26.27.64/2730.26.27.65 to 30.26.27.9430.26.27.9530
22030.26.27.96/2730.26.27.97 to 30.26.27.12630.26.27.12730
22130.26.27.128/2730.26.27.129 to 30.26.27.15830.26.27.15930
22230.26.27.160/2730.26.27.161 to 30.26.27.19030.26.27.19130
22330.26.27.192/2730.26.27.193 to 30.26.27.22230.26.27.22330
22430.26.27.224/2730.26.27.225 to 30.26.27.25430.26.27.25530
22530.26.28.0/2730.26.28.1 to 30.26.28.3030.26.28.3130
22630.26.28.32/2730.26.28.33 to 30.26.28.6230.26.28.6330
22730.26.28.64/2730.26.28.65 to 30.26.28.9430.26.28.9530
22830.26.28.96/2730.26.28.97 to 30.26.28.12630.26.28.12730
22930.26.28.128/2730.26.28.129 to 30.26.28.15830.26.28.15930
23030.26.28.160/2730.26.28.161 to 30.26.28.19030.26.28.19130
23130.26.28.192/2730.26.28.193 to 30.26.28.22230.26.28.22330
23230.26.28.224/2730.26.28.225 to 30.26.28.25430.26.28.25530
23330.26.29.0/2730.26.29.1 to 30.26.29.3030.26.29.3130
23430.26.29.32/2730.26.29.33 to 30.26.29.6230.26.29.6330
23530.26.29.64/2730.26.29.65 to 30.26.29.9430.26.29.9530
23630.26.29.96/2730.26.29.97 to 30.26.29.12630.26.29.12730
23730.26.29.128/2730.26.29.129 to 30.26.29.15830.26.29.15930
23830.26.29.160/2730.26.29.161 to 30.26.29.19030.26.29.19130
23930.26.29.192/2730.26.29.193 to 30.26.29.22230.26.29.22330
24030.26.29.224/2730.26.29.225 to 30.26.29.25430.26.29.25530
24130.26.30.0/2730.26.30.1 to 30.26.30.3030.26.30.3130
24230.26.30.32/2730.26.30.33 to 30.26.30.6230.26.30.6330
24330.26.30.64/2730.26.30.65 to 30.26.30.9430.26.30.9530
24430.26.30.96/2730.26.30.97 to 30.26.30.12630.26.30.12730
24530.26.30.128/2730.26.30.129 to 30.26.30.15830.26.30.15930
24630.26.30.160/2730.26.30.161 to 30.26.30.19030.26.30.19130
24730.26.30.192/2730.26.30.193 to 30.26.30.22230.26.30.22330
24830.26.30.224/2730.26.30.225 to 30.26.30.25430.26.30.25530
24930.26.31.0/2730.26.31.1 to 30.26.31.3030.26.31.3130
25030.26.31.32/2730.26.31.33 to 30.26.31.6230.26.31.6330
25130.26.31.64/2730.26.31.65 to 30.26.31.9430.26.31.9530
25230.26.31.96/2730.26.31.97 to 30.26.31.12630.26.31.12730
25330.26.31.128/2730.26.31.129 to 30.26.31.15830.26.31.15930
25430.26.31.160/2730.26.31.161 to 30.26.31.19030.26.31.19130
25530.26.31.192/2730.26.31.193 to 30.26.31.22230.26.31.22330
25630.26.31.224/2730.26.31.225 to 30.26.31.25430.26.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses